com.trendmicro.ds.platform.rest.object.administratorroles

## Class ModifyAdministratorRoleHostsRequest

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.administratorroles.ModifyAdministratorRoleHostsRequest

-     public class ModifyAdministratorRoleHostsRequest
      extends java.lang.Object

  Request object for the ModifyAdministratorRoleHosts API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModifyAdministratorRoleHostsRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Integer>` | `getHosts()` Get the list of host IDs to add to the administrator role.
    `void` | `setHosts(java.util.List<java.lang.Integer> hosts)` Set the list of host IDs to add to the administrator role.
    `ModifyAdministratorRoleHostsRequest` | `withHosts(java.lang.Integer... hosts)` Set the list of host IDs to add to the administrator role.
    `ModifyAdministratorRoleHostsRequest` | `withHosts(java.util.List<java.lang.Integer> hosts)` Set the list of host IDs to add to the administrator role.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModifyAdministratorRoleHostsRequest

          public ModifyAdministratorRoleHostsRequest()

  - ### Method Detail

    - #### getHosts

          public java.util.List<java.lang.Integer> getHosts()

      Get the list of host IDs to add to the administrator role.
      Returns:
        the list of host IDs to add to the administrator role.

    - #### setHosts

          public void setHosts(java.util.List<java.lang.Integer> hosts)

      Set the list of host IDs to add to the administrator role.
      Parameters:
        `hosts` - the list of host IDs to add to the administrator role.

    - #### withHosts

          public ModifyAdministratorRoleHostsRequest withHosts(java.util.List<java.lang.Integer> hosts)

      Set the list of host IDs to add to the administrator role.
      Parameters:
        `hosts` - the list of host IDs to add to the administrator role.
      Returns:
        the updated ModifyAdministratorRoleHostsRequest object.

    - #### withHosts

          public ModifyAdministratorRoleHostsRequest withHosts(java.lang.Integer... hosts)

      Set the list of host IDs to add to the administrator role.
      Parameters:
        `hosts` - the list of host IDs to add to the administrator role.
      Returns:
        the updated ModifyAdministratorRoleHostsRequest object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.